package com.gic.haoban.manage.api.enums.chat;

import java.util.Objects;

/**
 * Created by wangzubo on 2023/3/13.
 */
public enum ChatActivityInviteTypeEnum {

    /**
     * 邀请类型 0不限制1入群前未处于任何企业群聊内算有效邀请2首次加入企业群聊才算有效邀请
     */
    NONE(0, "不限制"),
    NONE_GROUP_CHAT(1, "入群前未处于任何企业群聊内算有效邀请"),
    FIRST_GROUP_CHAT(2, "首次加入企业群聊才算有效邀请"),
    ;

    public final Integer value;
    public final String desc;

    ChatActivityInviteTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static String getDescByValue(Integer value) {
        for (ChatActivityInviteTypeEnum inviteTypeEnum : ChatActivityInviteTypeEnum.values()) {
            if (Objects.equals(value, inviteTypeEnum.value)) {
                return inviteTypeEnum.desc;
            }
        }
        return null;
    }

    public static ChatActivityInviteTypeEnum getByValue(Integer value) {
        for (ChatActivityInviteTypeEnum inviteTypeEnum : ChatActivityInviteTypeEnum.values()) {
            if (Objects.equals(value, inviteTypeEnum.value)) {
                return inviteTypeEnum;
            }
        }
        return null;
    }
}
